use `cdss`;

ALTER TABLE tran_hospital_info ADD  COLUMN `push_mode` int(1) NOT NULL DEFAULT '0' COMMENT '0:不过滤 1:过滤' AFTER `connect`;

-- ----------------------------
-- Table structure for tran_hospital_filter
-- ----------------------------
DROP TABLE IF EXISTS `tran_hospital_filter`;
CREATE TABLE `tran_hospital_filter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `hospital_id` bigint(20) NOT NULL COMMENT '医院id',
  `unique_name` varchar(255) CHARACTER SET utf8mb4 NOT NULL COMMENT '标准名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='医院疾病过滤表';

-- ----------------------------
-- Records of tran_hospital_filter
-- ----------------------------
INSERT INTO `tran_hospital_filter` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '1', '急性胰腺炎');