/*
Navicat MySQL Data Transfer

Source Server         : 236
Source Server Version : 50731
Source Host           : 192.168.2.236:3306
Source Database       : cdss

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2020-11-10 09:54:31
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for symptom_feature
-- ----------------------------
DROP TABLE IF EXISTS `symptom_feature`;
CREATE TABLE `symptom_feature` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `is_deleted` char(1) CHARACTER SET utf8mb4 NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `min_combine_element` varchar(255) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '最小组合单元',
  `body_part` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '部位',
  `position` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '方位',
  `shape_propety` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '形状性质',
  `degree` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '程度',
  `color` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '颜色',
  `variety` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '变化',
  `radiation_situation` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '放射情况',
  `frequency` varchar(1000) CHARACTER SET utf8mb4 NOT NULL DEFAULT '' COMMENT '频率',
  PRIMARY KEY (`id`),
  UNIQUE KEY `min_ce` (`min_combine_element`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=5155 DEFAULT CHARSET=utf8;
