//package com.diagbot.aggregate;
//
//import com.diagbot.facade.NeoFacade;
//import com.diagbot.util.ListUtil;
//import com.diagbot.vo.NeoPushVO;
//import io.github.lvyahui8.spring.annotation.DataConsumer;
//import io.github.lvyahui8.spring.annotation.DataProvider;
//import io.github.lvyahui8.spring.annotation.InvokeParameter;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
//import java.util.ArrayList;
//import java.util.List;
//
///**
// * @Description:
// * @author: kwz
// * @time: 2020/10/22 15:24
// */
//@Component
//@Slf4j
//public class PushDisAggregate {
//    @Autowired
//    private NeoFacade neoFacade;
//    @DataProvider("pushAll")
//    public List<String> getDis(
//            @InvokeParameter("pushVo") NeoPushVO pushVO,
//            @DataConsumer("pushDisBySymptom_main") List<String> disBySm,
//            @DataConsumer("pushDisBySymptom_other") List<String> disBySo,
//            @DataConsumer("pushDisByVital") List<String> disByVital,
//            @DataConsumer("pushDisByLis_nospecial") List<String> disByLis
//    ){
//        List<String> allPushDis = new ArrayList<>();
//        if(ListUtil.isNotEmpty(disBySm)){
//            disBySo.retainAll(disBySm);
//            disByVital.retainAll(disBySm);
//            disByLis.retainAll(disBySm);
//            allPushDis.addAll(disBySm);
//            allPushDis.addAll(disBySo);
//            allPushDis.addAll(disByVital);
//            allPushDis.addAll(disByLis);
//        }
//        return allPushDis;
//    }
//
//    private void addDis(List<String> allPushDis, List<String> disByLis) {
//        if (ListUtil.isNotEmpty(disByLis)) {
//            allPushDis.addAll(disByLis);
//        }
//    }
//
//    /**
//     * 主症状推送诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisBySymptom_main")
//    public List<String> pushDisBySm(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.pushDisBySymptom_main(pushVO);
//        return pushDisBySm;
//    }
//
//    /**
//     * 其他症状推送诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisBySymptom_other")
//    public List<String> pushDisBySo(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.getDisBySymptom_other(pushVO);
//        return pushDisBySm;
//    }
//
//    /**
//     * 化验特异性诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisBySpecialLis")
//    public List<String> pushDisBySl(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.pushDisBySpecialLis(pushVO);
//        return pushDisBySm;
//    }
//
//    /**
//     * 辅检特异性诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisByPacs")
//    public List<String> pushDisByPs(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.pushDisByPacs(pushVO);
//        return pushDisBySm;
//    }
//
//    /**
//     * 体征推送诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisByVital")
//    public List<String> pushDisByVl(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.getDisByVital(pushVO);
//        return pushDisBySm;
//    }
//
//    /**
//     * 非特异性化验推送诊断
//     * @param pushVO
//     * @return
//     */
//    @DataProvider("pushDisByLis_nospecial")
//    public List<String> pushDisByLisNo(@InvokeParameter("pushVo") NeoPushVO pushVO) {
//        List<String> pushDisBySm = neoFacade.getDisByLis_other(pushVO);
//        return pushDisBySm;
//    }
//}
