package com.diagbot.client.hystrix;

import com.diagbot.client.IcssPushServiceClient;
import com.diagbot.dto.icss.Response;
import com.diagbot.dto.icss.ResponseData;
import com.diagbot.vo.IcssVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
@Slf4j
public class IcssPushServiceHystrix implements IcssPushServiceClient {
    @Override
    public Response<ResponseData> getAnnotation(@RequestBody IcssVo searchData) {
        log.error("【hystrix】调用{}异常", "CRF-getAnnotation");
        return null;
    }
}
