package com.diagbot.dto;

import lombok.Data;

import java.util.Objects;

/**
 * @description: 开单合理性提示语
 * @author: zhoutg
 * @time: 2020/7/29 9:57
 */
@Data
public class BillMsg {

    // 提示信息
    private String msg;
    // 开单名称
    private String orderName;
    // 明细名称
    private String orderDetailName;
    // 开单标准名称
    private String orderStandName;
    // 匹配的内容
    private String content;
    // 类型
    private String type;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        BillMsg billMsg = (BillMsg) o;
        return Objects.equals(msg, billMsg.msg);
    }

    @Override
    public int hashCode() {
        return Objects.hash(msg);
    }
}
