package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-22 10:33
 */
@Setter
@Getter
public class KlDiagnoseGroupDTO {
    /**
     * 基础规则组别（condition_type为1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件都有效）
     */
    private Integer baseGroup;
    /**
     * 满足的条件
     */
    private Integer fitNo;
    /**
     * 上一级的组别
     */
   // private Integer conditionGroup;
    /**
     * 组别里的明细
     */
    List<KlDiagnoseByIdDTO>  klDiagnoseByIdDTO;

}
