package com.diagbot.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-19 14:58
 */
@Setter
@Getter
public class KlDiagnoseInfoDTO {

    private Long id;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 疾病概念id
     */
    private Long conceptId;

    private String conceptName;

    /**
     * 描述
     */
    private String description;

    /**
     * 启用状态（0：禁用，1：启用）
     */
    private Integer status;

}
