package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-08 13:18
 */
@Setter
@Getter
public class KlRuleByIdParDTO {
    private Long parId;
    private String parDescription;//规则名称
    private Integer parRuleType;//规则类型(1:开单合理性;2:高危;3:危急值;4:其他值提醒;5:其他值提醒输血;6:正常项目重复开立)
    private Long parConceptId;//提示概念id
    private String parlibName;
    private Integer parHasSub;//是否有子条件（0：无，1：有）
    private String parMsg;//附加信息
    private Integer parStatus;//启用状态（0：禁用，1：启用）
    private String parLenName;
    private String parLenCode;
    private List<KlRuleByIdSubDTO>  klRuleByIdSub;
}
