package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-05 13:44
 */
@Setter
@Getter
public class KlRuleInfoDTO {

    /**
     * 主键
     */
    private Long parId;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 提示概念id
     */
    private Long parConceptId;

    private String parConceptName;


    private String parLibTypeName;
    /**
     * 描述
     */
    private String parDescription;

    /**
     * 规则类型(1:开单合理性;2:高危;3:危急值;4:其他值提醒;5:其他值提醒输血;6:正常项目重复开立)
     */
    private Integer parRuleType;

    /**
     * 是否有子条件（0：无，1：有）
     */
    private Integer parHasSub;

    /**
     * 启用状态（0：禁用，1：启用）
     */
    private Integer parStatus;

    /**
     * 附加信息
     */
    private String parMsg;
}
