package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @description: 推理出参《图谱返回数据》
 * @author: zhoutg
 * @time: 2020/8/17 15:34
 */
@Data
public class NeoPushDTO {
    private PushBaseDTO disease;//疾病医保名称
    private PushBaseDTO icd10;//疾病医保版icd-10
    private List<PushBaseDTO> symptoms = new ArrayList<>();//症状
    private List<PushBaseDTO> vitals = new ArrayList<>();//体征
    private List<PushBaseDTO> lis = new ArrayList<>();//实验室检查
    private List<PushBaseDTO> pacs = new ArrayList<>();//辅助检查
    private List<PushBaseDTO> scales = new ArrayList<>();//量表
    // 鉴别诊断
    private List<PushBaseDTO> differentialDis;
    /**
     * Map<String,List<NeoPushGeneralDTO>>
     *     operation:[  ]
     *     drug:[  ]
     */
    private Map<String,List<PushBaseDTO>> treat = new HashMap<>();//治疗
    private List<PushBaseDTO> diagnosticBasis = new ArrayList<>();//诊断依据


}
