package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 15:45
 */
@Getter
@Setter
public class RetrievalDTO {
    /**
     * 化验大项
     */
    private List<RetrievalConceptDTO> lisNames;
    /**
     * 化验小项
     */
    private List<LisDetailDTO> lisDetailNames;
    /**
     * 辅检
     */
    private List<RetrievalConceptDTO> pacsNames;
    /**
     * 诊断
     */
    private List<DiseaseInfoDTO> diseaseNames;
    /**
     * 药品
     */
    private List<DrugInfoDTO> drugNames;
    /**
     * 手术或操作
     */
    private List<OperationInfoDTO> operationNames;
    /**
     * 科室
     */
    private List<RetrievalConceptDTO> deptNames;
    /**
     * 输血
     */
    private List<RetrievalConceptDTO> transfusionNames;
    /**
     * 症状
     */
    private List<RetrievalConceptDTO> symptomNames;
    /**
     * 体征
     */
    private List<RetrievalConceptDTO> vitalNames;
    /**
     * 量表
     */
    private List<ScaleInfoDTO> scalenames;
    /**
     * 护理
     */
    private List<NurseInfoDTO> nursenames;
    /**
     * 中医诊断
     */
    private List<TcmdiseaseInfoDTO> tcmdiseaseNames;
    /**
     * 中医证候
     */
    private List<TcmsyndromeInfoDTO> tcmsyndromeNames;
    /**
     * 麻醉
     */
    private List<AnesthesiaInfoDTO> anesthesiaInfonames;

    /**
     * 药品剂型
     */
    private List<RetrievalConceptDTO> drugDosage;

}