package com.diagbot.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-11-09
 */
@Data
public class SymptomFeatureList implements Serializable {

    /**
     * 最小组合单元
     */
    private String minCombineElement;

    /**
     * 部位
     */
    private List<String> bodyPartList = new ArrayList<>();

    /**
     * 方位
     */
    private List<String> positionList = new ArrayList<>();

    /**
     * 形状性质
     */
    private List<String> shapePropetyList = new ArrayList<>();

    /**
     * 程度
     */
    private List<String> degreeList = new ArrayList<>();

    /**
     * 颜色
     */
    private List<String> colorList = new ArrayList<>();

    /**
     * 变化
     */
    private List<String> varietyList = new ArrayList<>();

    /**
     * 放射情况
     */
    private List<String> radiationSituationList = new ArrayList<>();

    /**
     * 频率
     */
    private List<String> frequencyList = new ArrayList<>();
}
