package com.diagbot.facade;

import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.process.CriticalProcess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 危急值facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class CriticalFacade {

    @Autowired
    NeoFacade neoFacade;
    @Autowired
    CriticalProcess criticalProcess;
    @Autowired
    CommonFacade commonFacade;

    /**
     * 危急值提示
     * @param
     * @return
     */
    public void criticalFac(WordCrfDTO wordCrfDTO, IndicationDTO res) {
        // 化验危急值
        criticalProcess.processLis(wordCrfDTO, res);
        // 辅检危急值
        criticalProcess.processPacs(wordCrfDTO, res);
        // 结果去重处理
        commonFacade.dealMsg(res.getCriticalValList());
    }
}
