package com.diagbot.mapper;

import com.diagbot.dto.DiseaseItemDTO;
import com.diagbot.dto.DrugTypeDTO;
import com.diagbot.entity.KlRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.DiseaseItemVO;

import java.util.List;

/**
 * <p>
 * 术语关系表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRelationMapper extends BaseMapper<KlRelation> {
    List<DrugTypeDTO> getDrugType();

    List<DiseaseItemDTO> getItemByDisease(DiseaseItemVO diseaseItemVO);
}
