package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.CustomDictionaryDTO;
import com.diagbot.dto.ReverseDTO;
import com.diagbot.entity.ConceptInfo;
import com.diagbot.vo.ReverseVO;

import java.util.List;

/**
 * <p>
 * 静态知识标准术语表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-18
 */
public interface ConceptInfoService extends IService<ConceptInfo> {

    List<ReverseDTO> getReverse(ReverseVO reverseVO);

    List<CustomDictionaryDTO> getAllWord();
}
