package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.DiseaseItemDTO;
import com.diagbot.dto.DrugTypeDTO;
import com.diagbot.entity.KlRelation;
import com.diagbot.mapper.KlRelationMapper;
import com.diagbot.service.KlRelationService;
import com.diagbot.vo.DiseaseItemVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 术语关系表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
@Service
public class KlRelationServiceImpl extends ServiceImpl<KlRelationMapper, KlRelation> implements KlRelationService {
    public List<DrugTypeDTO> getDrugType() {
        return baseMapper.getDrugType();
    }

    public List<DiseaseItemDTO> getItemByDisease(DiseaseItemVO diseaseItemVO){
        return baseMapper.getItemByDisease(diseaseItemVO);
    }
}
