package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/11/19 13:22
 */
@Getter
@Setter
public class ConceptIndexVO {
    @NotBlank(message = "请选择开单项类型")
    private Integer type;
    @ApiModelProperty(hidden = true)
    private String conceptLabel;
    @NotBlank(message = "请选择开单项")
    private String conceptName;
}
