package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/11/18 14:39
 */
@Getter
@Setter
public class ConditionIndexVO {
    @NotBlank(message = "请选择开单项类型")
    private Integer type;
    @ApiModelProperty(hidden = true)
    private String conceptLabel;
    @NotBlank(message = "请选择开单项")
    private String conceptName;
    @NotBlank(message = "请选择规则类型：文本类型、数值类型")
    private String ruleType;
    @NotBlank(message = "请输入条件明细")
    private String conditionName;
}