package com.diagbot.vo;

import com.diagbot.dto.KlRuleByIdSubDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-08 13:37
 */
@Setter
@Getter
public class KlRuleInfoSaveVO {
    private Long parId;
    @NotBlank(message = "请输入规则名称")
    private String parDescription;//规则名称
    @NotNull(message = "请输入规则类型")
    private Integer parRuleType;//规则类型(1:开单合理性;2:高危;3:危急值;4:其他值提醒;5:其他值提醒输血;6:正常项目重复开立)
    @NotNull(message = "请输入概念id")
    private Long parConceptId;//提示概念id
    @NotNull(message = "请输入概念id")
    private Integer parHasSub;//是否有子条件（0：无，1：有）
    private String parMsg;//附加信息
    @ApiModelProperty(hidden = true)
    private Integer parStatus = 1;//启用状态（0：禁用，1：启用）
/*    private String parlibName;
    private String parLenName;
    private String parLenCode;*/
    private String modifier;
    private List<KlRuleInfoSaveSubVO> klRuleInfoSaveSub;
}
