package com.diagbot.vo;

import lombok.Data;

import java.util.List;

/**
 * 标准词转换类
 *
 * @author kwz (zjlantone)
 * @create 07 30, 2020
 * @since 1.0.0
 */
@Data
public class StandConvert {
    // 临床表现
    private List<String> clinicalList;
    // 诊断
    private List<String> diaglList;
    // 化验
    private List<String> lisList;
    // 辅检
    private List<String> pacsList;
    // 药品
    private List<String> drugList;
    // 体征
    private List<String> vitalList;
    // 手术
    private List<String> operationList;
    // 输血
    private List<String> transfusionList;
}
