package com.diagbot.vo;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 测试开单合理性
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
@Data
public class TestLineVO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String idNum;

    // sheet的索引，从0开始
    private int sheetIndex = 0;

    // true 表示随机取一条，false表示取全部
    @ApiParam(defaultValue = "true")
    private boolean getOne = false;
}
