use `cdss`;

DROP TABLE IF EXISTS `graph_concept_detail`;
DROP TABLE IF EXISTS `graph_concept_info`;
DROP TABLE IF EXISTS `graph_disease_corresponding`;
DROP TABLE IF EXISTS `sys_regular_config`;

UPDATE `sys_menu` SET `id`='14', `is_deleted`='Y', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='开单合理性规则维护', `parent_id`='13', `code`='GZWH-KDHLXGZWH', `order_no`='1', `remark`='规则维护-开单合理性规则维护' WHERE (`id`='14');

INSERT INTO `sys_menu` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `name`, `parent_id`, `code`, `order_no`, `remark`) VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '规则维护', '13', 'GZWH-GZWH', '1', '规则维护-规则维护');

INSERT INTO `sys_role_menu` (`id`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `role_id`, `menu_id`, `remark`) VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '-1', '15', NULL);

/*
Navicat MySQL Data Transfer

Source Server         : 192.168.2.236
Source Server Version : 50731
Source Host           : 192.168.2.236:3306
Source Database       : cdss

Target Server Type    : MYSQL
Target Server Version : 50731
File Encoding         : 65001

Date: 2021-03-19 09:46:25
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for sys_dictionary_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_dictionary_info`;
CREATE TABLE `sys_dictionary_info` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `is_deleted` char(1) NOT NULL DEFAULT 'N' COMMENT '是否删除,N:未删除，Y:删除',
  `gmt_create` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT '1970-01-01 12:00:00' COMMENT '记录修改时间,如果时间是1970年则表示纪录未修改',
  `creator` varchar(20) NOT NULL DEFAULT '0' COMMENT '创建人，0表示无创建人值',
  `modifier` varchar(20) NOT NULL DEFAULT '0' COMMENT '修改人,如果为0则表示纪录未修改',
  `group_type` bigint(20) NOT NULL DEFAULT '0' COMMENT '分组（值自定义）',
  `name` varchar(100) NOT NULL DEFAULT '' COMMENT '内容',
  `val` varchar(255) NOT NULL DEFAULT '' COMMENT '值',
  `return_type` int(11) NOT NULL DEFAULT '1' COMMENT '返回类型（0: 都返回，1：后台维护返回 2：界面返回）',
  `order_no` int(11) NOT NULL DEFAULT '0' COMMENT '排序号',
  `remark` varchar(300) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=124 DEFAULT CHARSET=utf8 COMMENT='CDSS字典表';

-- ----------------------------
-- Records of sys_dictionary_info
-- ----------------------------
INSERT INTO `sys_dictionary_info` VALUES ('1', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '全部', '0', '2', '1', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('2', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '诊断', '1', '2', '10', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('3', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '药品', '2', '2', '20', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('4', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '检验', '3', '2', '30', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('5', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '检查', '5', '2', '40', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('6', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '7', '手术和操作', '6', '2', '50', '静态知识检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('7', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '诊断', '医保疾病名称', '0', '1', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('8', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品', '药品通用名称', '0', '6', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('9', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '检验套餐', '实验室检查套餐名', '0', '2', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('10', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '检验细项', '实验室检查名称', '0', '3', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('11', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '检查', '辅助检查名称', '0', '4', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('12', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '手术和操作', '医保手术和操作名称', '0', '7', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('13', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '', '0', '0', '1', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('14', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '注射剂', '1', '0', '10', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('15', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '片剂', '2', '0', '20', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('16', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '缓释剂', '3', '0', '30', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('17', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '胶囊剂', '4', '0', '40', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('18', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '9', '滴丸剂', '5', '0', '50', '药品剂型');
INSERT INTO `sys_dictionary_info` VALUES ('19', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '检查子项', '辅助检查子项目名称', '0', '5', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('21', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '诊断', '1', '0', '1', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('22', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '药品', '2', '0', '2', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('23', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '检验套餐', '3', '0', '3', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('24', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '检验细项', '4', '0', '4', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('25', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '检查', '5', '0', '5', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('26', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '检查子项', '6', '0', '6', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('27', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '10', '手术和操作', '7', '0', '7', '静态知识类型');
INSERT INTO `sys_dictionary_info` VALUES ('28', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品类别', '药品类别', '0', '20', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('29', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '检验套餐', '1', '0', '1', '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('30', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '检查', '2', '0', '2', '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('31', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '检查子项', '3', '0', '3', '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('32', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '手术和操作', '4', '0', '4', '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('33', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '11', '药品注册名称', '5', '0', '5', '开单合理项检索类型');
INSERT INTO `sys_dictionary_info` VALUES ('34', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '性别', '1', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('35', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '实验室检查', '2', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('36', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '临床表现', '3', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('37', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '辅助检查名称描述', '4', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('38', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '疾病', '5', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('39', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '服用药品', '6', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('40', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '药物过敏原', '7', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('41', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '食物过敏原', '8', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('42', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '手术', '9', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('43', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '禁忌人群', '10', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('44', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '过敏原', '11', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('45', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '体征', '12', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('46', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '禁忌医疗器械及物品', '13', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('47', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '年龄', '14', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('48', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '给药途径', '15', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('49', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '12', '开单项互斥', '16', '0', '0', '开单禁忌条件类型');
INSERT INTO `sys_dictionary_info` VALUES ('50', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '疾病（开单合理性）', '疾病', '0', '8', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('51', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '实验室检查细项（开单合理性）', '实验室检查', '0', '9', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('52', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '化验细项及结果（推理）', '化验细项及结果', '0', '10', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('53', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '实验室检查危急值', '实验室检查危急值', '0', '11', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('54', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '化验提醒指标', '化验提醒指标', '0', '12', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('55', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '化验套餐名称（推理）', '化验套餐名称', '0', '13', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('56', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '辅助检查危急值', '辅助检查危急值', '0', '14', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('57', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '辅助检查结果（开单合理性）', '辅助检查名称描述', '0', '15', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('58', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '辅助检查结果（诊断依据）', '辅助检查名称结果', '0', '16', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('59', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '辅检提醒指标', '辅检提醒指标', '0', '17', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('60', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品代码通用名', '药品代码通用名', '0', '18', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('61', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品注册名称', '药品注册名称', '0', '19', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('62', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品治疗学类别', '药品治疗学类别', '0', '21', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('63', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品药理学类别', '药品药理学类别', '0', '22', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('64', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品解剖学类别', '药品解剖学类别', '0', '23', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('65', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药品化学物质类别', '药品化学物质类别', '0', '24', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('66', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '服用药品（开单合理性）', '服用药品', '0', '25', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('67', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '禁忌医疗器械及物品', '禁忌医疗器械及物品', '0', '26', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('68', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '性别', '性别', '0', '27', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('69', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '体征', '体征', '0', '28', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('70', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '症状', '症状', '0', '29', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('71', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '临床表现', '临床表现', '0', '30', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('72', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '科室', '科室', '0', '31', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('73', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '开单项互斥', '开单项互斥', '0', '32', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('74', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '禁忌人群', '禁忌人群', '0', '33', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('75', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '建议输血提醒', '建议输血提醒', '0', '34', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('76', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '药物过敏原', '药物过敏原', '0', '35', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('77', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '其他过敏原', '过敏原', '0', '36', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('78', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '食物过敏原', '食物过敏原', '0', '37', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('79', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '8', '输血提醒指标', '输血提醒指标', '0', '38', '图谱标签与页面显示类型对应关系');
INSERT INTO `sys_dictionary_info` VALUES ('80', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '诊断', '疾病', '1', '100', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('81', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品', '药品通用名', '1', '101', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('82', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品剂型', '药品剂型', '1', '102', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('83', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '症状', '症状', '1', '103', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('84', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '体格检查项目', '体格检查项目', '1', '104', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('85', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '体格检查结果', '体格检查结果', '1', '105', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('86', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '手术和操作', '手术和操作', '1', '106', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('87', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '检验套餐', '实验室检查套餐', '1', '107', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('88', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '检验细项', '实验室检查子项目', '1', '108', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('89', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '检查', '辅助检查项目', '1', '109', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('90', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '检查子项', '辅助检查子项目', '1', '110', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('91', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '辅助检查描述', '辅助检查描述', '1', '111', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('92', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '辅助检查结果', '辅助检查结果', '1', '112', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('93', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '输血类型', '输血类型', '1', '113', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('94', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '麻醉', '麻醉', '1', '114', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('95', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '科室', '科室', '1', '115', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('96', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '性别', '性别', '1', '116', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('97', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '人群', '人群', '1', '117', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('98', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '食物', '食物', '1', '118', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('99', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '其他过敏原', '其他过敏原', '1', '119', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('100', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '医疗器械及物品', '医疗器械及物品', '1', '120', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('101', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '给药途径', '给药途径', '1', '121', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('102', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '部位', '部位', '1', '122', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('103', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '护理', '护理', '1', '123', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('104', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '量表', '量表', '1', '124', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('105', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '单位', '单位', '1', '125', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('106', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', 'ICD10疾病类别', 'ICD10疾病类别', '1', '300', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('107', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品化学物质类别', '药品化学物质类别', '1', '301', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('108', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品治疗学类别', '药品治疗学类别', '1', '302', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('109', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品药理学类别', '药品药理学类别', '1', '303', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('110', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品解剖学类别', '药品解剖学类别', '1', '304', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('111', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '症状类别', '症状类别', '1', '305', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('112', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '手术和操作类别', '手术和操作类别', '1', '306', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('113', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', 'ICD10疾病类别根节点', 'ICD10疾病类别根节点', '1', '400', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('114', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '科室疾病类别根节点', '科室疾病类别根节点', '1', '401', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('115', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品化学物质类别根节点', '药品化学物质类别根节点', '1', '402', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('116', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品治疗学类别根节点', '药品治疗学类别根节点', '1', '403', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('117', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品药理学类别根节点', '药品药理学类别根节点', '1', '404', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('118', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '药品解剖学类别根节点', '药品解剖学类别根节点', '1', '405', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('119', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '症状类别根节点', '症状类别根节点', '1', '406', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('120', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '手术和操作类别根节点', '手术和操作类别根节点', '1', '407', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('121', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '实验室检查类别根节点', '实验室检查类别根节点', '1', '408', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('122', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '辅助检查类别根节点', '辅助检查类别根节点', '1', '409', '页面显示词性');
INSERT INTO `sys_dictionary_info` VALUES ('123', 'N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '13', '年龄', '年龄', '1', '410', '页面显示词性');

UPDATE `sys_permission` SET `id`='46', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-医学术语检索-新增静态知识', `code`='FUNC000046', `permissionUrl`='/kl/conceptInfo/staticKnowledgeIndexWithoutInfo', `method`='ALL', `descritpion`='静态知识标准术语-医学术语检索-新增静态知识', `type`='0', `remark`=NULL WHERE (`id`='46');
UPDATE `sys_permission` SET `id`='47', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-获取静态知识列表', `code`='FUNC000047', `permissionUrl`='/kl/conceptInfo/getPage', `method`='ALL', `descritpion`='静态知识标准术语-获取静态知识列表', `type`='0', `remark`=NULL WHERE (`id`='47');
UPDATE `sys_permission` SET `id`='48', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-保存静态知识-新增或修改', `code`='FUNC000048', `permissionUrl`='/kl/conceptInfo/saveOrUpdateRecord', `method`='ALL', `descritpion`='静态知识标准术语-保存静态知识-新增或修改', `type`='0', `remark`=NULL WHERE (`id`='48');
UPDATE `sys_permission` SET `id`='49', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-静态知识启用禁用', `code`='FUNC000049', `permissionUrl`='/kl/conceptInfo/changeStatus', `method`='ALL', `descritpion`='静态知识标准术语-静态知识启用禁用', `type`='0', `remark`=NULL WHERE (`id`='49');
UPDATE `sys_permission` SET `id`='50', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-静态知识是否存在', `code`='FUNC000050', `permissionUrl`='/kl/conceptInfo/isExist', `method`='ALL', `descritpion`='静态知识标准术语-静态知识是否存在', `type`='0', `remark`=NULL WHERE (`id`='50');
UPDATE `sys_permission` SET `id`='51', `is_deleted`='N', `gmt_create`='1970-01-01 12:00:00', `gmt_modified`='1970-01-01 12:00:00', `creator`='0', `modifier`='0', `name`='静态知识标准术语-根据术语id获取静态信息', `code`='FUNC000051', `permissionUrl`='/kl/conceptInfo/getRecordById', `method`='ALL', `descritpion`='静态知识标准术语-根据术语id获取静态信息', `type`='0', `remark`=NULL WHERE (`id`='51');
