package com.diagbot.client.hystrix;

import com.diagbot.client.PushNewServiceClient;
import com.diagbot.dto.PushNewDTO;
import com.diagbot.dto.PushReloadDTO;
import com.diagbot.vo.PushNewVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class PushNewServiceHystrix implements PushNewServiceClient {

    @Override
    public PushNewDTO pushNew(PushNewVO pushNewVO) {
        log.error("【hystrix】调用{}异常", "pushNew");
        return null;
    }

    @Override
    public PushReloadDTO reloadPushDB() {
        log.error("【hystrix】调用{}异常", "reloadDB");
        return null;
    }
}
