package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 16:15
 */
@Getter
@Setter
public class DrugInfoDTO {
    private Long id;
    /**
     * 药品名称
     */
    private String name;
    /**
     * 用法
     */
    private List<String> usage;
    /**
     * 用量、剂量
     */
    private List<String> dosage;
    /**
     * 频次
     */
    private List<String> frequency;
}
