package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-08 11:13
 */
@Setter
@Getter
public class KlRuleByIdDTO {
    private Long ruleId;//规则id
    private Long parId;
    private String parDescription;//规则名称
    private Integer parRuleType;//规则类型(1:开单合理性;2:高危;3:危急值;4:其他值提醒;5:其他值提醒输血;6:正常项目重复开立)
    private Long parConceptId;//提示概念id
    private String parlibName;
    private Integer parHasSub;//是否有子条件（0：无，1：有）
    private String parMsg;//附加信息
    private Integer parStatus;//启用状态（0：禁用，1：启用）
    private String parLenName;
    private String parLenCode;
    private Long subId;//基础规则id
    private String subDescription;//基础规则名称
    private Long subConceptId;//医学标准术语id
    private String subLibName;//医学标准术语
    private String subLenName;//基础规则术语类型
    private String subLenCode;//基础规则术语编码
    private Integer subType;//基础规则类型(1:开单外等于术语本身;2:开单外存在比较;3:开单外不等于术语本身;4:过敏原;5:开单项;6:检查结果正则表达式)
    private Integer groupType;
    private String subMinOperator;//最小域比较符
    private String subMinValue;//最小域值
    private String subMinUnit;//最小域单位
    private String subMaxOperator;//最大域比较符
    private String subMaxValue;//最大域值
    private String subMaxUnit;//最大域单位
    private String subEqOperator;//等于域比较符
    private String subEqValue;//等于域值
    private String subEqUnit;//等于域单位
}
