package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-08 13:16
 */
@Setter
@Getter
public class KlRuleByIdSubDTO {
    private Long subId;//基础规则id
    private String subDescription;//基础规则名称
    private Long subConceptId;//医学标准术语id
    private String subLibName;//医学标准术语
    private String subLenName;//基础规则术语类型
    private String subLenCode;//基础规则术语编码
    private Integer subType;//基础规则类型(1:开单外等于术语本身;2:开单外存在比较;3:开单外不等于术语本身;4:过敏原;5:开单项;6:检查结果正则表达式)
    private Integer groupType;
    private String subMinOperator;//最小域比较符
    private String subMinValue;//最小域值
    private String subMinUnit;//最小域单位
    private String subMaxOperator;//最大域比较符
    private String subMaxValue;//最大域值
    private String subMaxUnit;//最大域单位
    private String subEqOperator;//等于域比较符
    private String subEqValue;//等于域值
    private String subEqUnit;//等于域单位
}
