package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-11-13
 */
@Data
public class KlDiseaseCorresponding implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 平安诊断
     */
    private String diagPingan;

    /**
     * 对应的ICD10疾病
     */
    private String diagIcd;

    /**
     * 警惕标志
     */
    private Integer highRiskSign;

}
