package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wangfeng
 * @since 2020-12-08
 */
public class KlRegularConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 资源ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 标准名
     */
    private String standName;

    /**
     * 正则编码
     */
    private String rulesCode;

    /**
     * 正则名称
     */
    private String rulesName;

    /**
     * 正则类型
     */
    private Integer rulesTepy;

    /**
     * 正则式
     */
    private String rulesValue;

    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }
    public String getStandName() {
        return standName;
    }

    public void setStandName(String standName) {
        this.standName = standName;
    }
    public String getRulesCode() {
        return rulesCode;
    }

    public void setRulesCode(String rulesCode) {
        this.rulesCode = rulesCode;
    }
    public String getRulesName() {
        return rulesName;
    }

    public void setRulesName(String rulesName) {
        this.rulesName = rulesName;
    }
    public Integer getRulesTepy() {
        return rulesTepy;
    }

    public void setRulesTepy(Integer rulesTepy) {
        this.rulesTepy = rulesTepy;
    }
    public String getRulesValue() {
        return rulesValue;
    }

    public void setRulesValue(String rulesValue) {
        this.rulesValue = rulesValue;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "SysRegularConfig{" +
            "id=" + id +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
            ", standName=" + standName +
            ", rulesCode=" + rulesCode +
            ", rulesName=" + rulesName +
            ", rulesTepy=" + rulesTepy +
            ", rulesValue=" + rulesValue +
            ", remark=" + remark +
        "}";
    }
}
