package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-11-09
 */
@Data
public class SymptomFeature implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 最小组合单元
     */
    private String minCombineElement;

    /**
     * 部位
     */
    private String bodyPart;

    /**
     * 方位
     */
    private String position;

    /**
     * 形状性质
     */
    private String shapePropety;

    /**
     * 程度
     */
    private String degree;

    /**
     * 颜色
     */
    private String color;

    /**
     * 变化
     */
    private String variety;

    /**
     * 放射情况
     */
    private String radiationSituation;

    /**
     * 频率
     */
    private String frequency;
}
