package com.diagbot.facade;

import com.diagbot.dto.IndicationDTO;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.process.OtherTipProcess;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description: 其他提示facade
 * @author: zhoutg
 * @time: 2018/8/6 9:11
 */
@Component
public class OtherTipFacade {

    @Autowired
    NeoFacade neoFacade;
    @Autowired
    OtherTipProcess otherTipProcess;
    @Autowired
    CommonFacade commonFacade;

    /**
     * 其他提示
     *
     * @param
     * @return
     */
    public void otherTipFac(WordCrfDTO wordCrfDTO, IndicationDTO res) {
        // 其他值提醒——化验
        otherTipProcess.processLis(wordCrfDTO, res);

        // 其他值提醒——辅检
        otherTipProcess.processPacs(wordCrfDTO, res);

        // 其他值提醒——输血
        otherTipProcess.processTransfusion(wordCrfDTO, res);

        // 结果去重处理
        commonFacade.dealMsg(res.getOtherList());
    }

}
