package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.dto.CustomDictionaryDTO;
import com.diagbot.dto.ReverseDTO;
import com.diagbot.entity.ConceptInfo;
import com.diagbot.vo.ReverseVO;

import java.util.List;

/**
 * <p>
 * 静态知识标准术语表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-08-18
 */
public interface ConceptInfoMapper extends BaseMapper<ConceptInfo> {

    List<ReverseDTO> getReverse(ReverseVO reverseVO);

    List<CustomDictionaryDTO> getAllWord();
}