package com.diagbot.model.ai;


import com.diagbot.client.CRFServiceClient;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.vo.SearchData;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class AIAnalyze {

    private CRFServiceClient crfServiceClient;
    BeHospitalizedAI beHospitalizedAI = new BeHospitalizedAI();

    public AIAnalyze(CRFServiceClient crfService) {
        this.crfServiceClient = crfService;
    }

    public void aiProcess(SearchData searchData, WordCrfDTO wordCrfDTO) {
        beHospitalizedAI.medrec(searchData, wordCrfDTO, crfServiceClient);
    }
}