package com.diagbot.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * 临床表现
 * Created by louhr on 2020/3/3.
 */
@Setter
@Getter
public class Clinical extends General {
    private Negative negative;
    private BodyPart bodyPart;
    private Trend trend;//趋势
    private Degree degree;//程度
    private Modification modification;//修饰
    private Cause cause;
    private Property property;//性质
    private Aggravate aggravate;//加重因素
    private Relief relief;//缓解因素
    private PD pds;
    private List<PD> timestamp = new ArrayList<>();
}
