package com.diagbot.model.entity;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @ClassName : Menses
 * @Description : 月经
 * @Author : 楼辉荣
 * @Date: 2020-03-05 19:23
 */
@Setter
@Getter
public class Menses extends General {
    private List<Clinical> clinicals;
    // 初潮年龄
    private MenarcheAge menarcheAge;
    // 行经天数
    private MensesDuration mensesDuration;
    // 月经周期
    private MenstrualCycle menstrualCycle;
    // 绝经年龄
    private MenopauseAge menopauseAge;
    // 绝经时间
    private MenopauseTime menopauseTime;
    // 末次月经
    private LastMenstrual lastMenstrual;
}