package com.diagbot.model.label;

import com.diagbot.model.entity.Clinical;
import com.diagbot.model.entity.Vital;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName : VatilLabel
 * @Description : 体格检查(一般检查)
 * @Author : 楼辉荣
 * @Date: 2020-03-03 18:49
 */
@Data
public class VitalLabel extends GeneralLabel{
    private List<Vital> vitals = new ArrayList<>();
    // private PD sbp = new PD(); // 收缩压
    // private PD dbp = new PD(); // 舒张压
    private List<Clinical> clinicals = new ArrayList<>();
    public <T> void add(List<T> list, T obj) {
        list.add(obj);
    }
}