package com.diagbot.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.DiseaseItemDTO;
import com.diagbot.dto.DrugTypeDTO;
import com.diagbot.entity.KlRelation;
import com.diagbot.vo.DiseaseItemVO;

import java.util.List;

/**
 * <p>
 * 术语关系表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRelationService extends IService<KlRelation> {
    List<DrugTypeDTO> getDrugType();

    List<DiseaseItemDTO> getItemByDisease(DiseaseItemVO diseaseItemVO);
}
