package com.diagbot.service;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.KlRuleByIdDTO;
import com.diagbot.dto.KlRuleInfoDTO;
import com.diagbot.dto.RuleDTO;
import com.diagbot.entity.KlRule;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.KlRuleByIdVO;
import com.diagbot.vo.KlRuleInfoVO;

import java.util.List;

/**
 * <p>
 * 规则信息表 服务类
 * </p>
 *
 * @author gaodm
 * @since 2021-01-21
 */
public interface KlRuleService extends IService<KlRule> {
    List<RuleDTO> getAllRule();
    IPage<KlRuleInfoDTO> getKlRuleInfoPages(KlRuleInfoVO klRuleInfoVO);
    List<KlRuleByIdDTO> getByIdRuleInfo(KlRuleByIdVO klRuleByIdVO);
}
