package com.diagbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.dto.CustomDictionaryDTO;
import com.diagbot.dto.ReverseDTO;
import com.diagbot.entity.ConceptInfo;
import com.diagbot.mapper.ConceptInfoMapper;
import com.diagbot.service.ConceptInfoService;
import com.diagbot.vo.ReverseVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 静态知识标准术语表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-18
 */
@Service
public class ConceptInfoServiceImpl extends ServiceImpl<ConceptInfoMapper, ConceptInfo> implements ConceptInfoService {
    @Override
    public List<ReverseDTO> getReverse(ReverseVO reverseVO) {
        return baseMapper.getReverse(reverseVO);
    }

    @Override
    public List<CustomDictionaryDTO> getAllWord(){
        return baseMapper.getAllWord();
    }
}
