package com.diagbot.service.impl;

import com.diagbot.dto.BaseDiagnoseDTO;
import com.diagbot.entity.KlDiagnoseBase;
import com.diagbot.mapper.KlDiagnoseBaseMapper;
import com.diagbot.service.KlDiagnoseBaseService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断依据基础表 服务实现类
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
@Service
public class KlDiagnoseBaseServiceImpl extends ServiceImpl<KlDiagnoseBaseMapper, KlDiagnoseBase> implements KlDiagnoseBaseService {
    //获取所有去重的基础诊断依据
    public List<BaseDiagnoseDTO> getAllBaseDiagnose(){
        return baseMapper.getAllBaseDiagnose();
    }
}
