package com.diagbot.service.impl;

import com.diagbot.entity.KlRulePlan;
import com.diagbot.entity.wrapper.KlRuleMenuWrapper;
import com.diagbot.mapper.KlRulePlanMapper;
import com.diagbot.service.KlRulePlanService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.KlRuleMenuVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author wangfeng
 * @since 2021-03-09
 */
@Service
public class KlRulePlanServiceImpl extends ServiceImpl<KlRulePlanMapper, KlRulePlan> implements KlRulePlanService {

    @Override
    public List<KlRuleMenuWrapper> getComeMenu(KlRuleMenuVO klRuleMenuVO) {
        return baseMapper.getComeMenu(klRuleMenuVO);
    }
}
