package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/9/10 14:48
 */
@Getter
@Setter
public class ConceptVO {
    private List<Long> ids;
    private List<String> names;
    @NotNull(message = "请输入术语类型")
    private Integer type;
    /**
     * 数据来源（1-标准词、2-同义词、3-编码、4-历史数据、5-相似词、99-数据迁移）
     */
    @NotNull(message = "请指定数据来源（1-标准词、2-同义词、3-编码、4-历史数据、5-相似词、99-数据迁移）")
    private Integer source;
}
