package com.diagbot.vo;

import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 诊断依据
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
@Data
public class DiagnoseImportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    // 诊断列表
    private List<String> diags = Lists.newArrayList();
}
