package com.diagbot.vo;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 图谱实体属性入参
 * @Author:Mark
 * @time: 2020/11/05 9:38
 */
@Data
public class EntityProp {
    // 体征指标
    private String vitalname;

    // 最小值
    private Double minval;

    // 最大值
    private Double maxval;

    // 单位
    private String unit;

    // 范围
    private Integer range;

    // 拼音编码
    private String pycode;

    // 静态知识
    private String knowledge;

    // 静态知识标识, 0:没有静态知识, 1:有静态知识
    private Integer is_kl;

}
