package com.diagbot.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/1/25 11:49
 */
@Getter
@Setter
public class ImportDataVO {
    @Excel(name="序号")
    private String idNum;
    @Excel(name="医保手术和操作名称")
    private String operationName;
    @Excel(name="开单项类型")
    private String orderType;
    @Excel(name="标准名称")
    private String standName;
    @Excel(name="内容标准名称")
    private String neoName;
    @Excel(name="禁忌类型")
    private String neoType;
    @Excel(name="输血治疗")
    private String transfusionName;
    @Excel(name="节点标签")
    private String transfusionNodeName;
    @Excel(name="实验室检查套餐")
    private String criticalMeal;
    @Excel(name="低危急值")
    private Double criticalMin;
    @Excel(name="高危急值")
    private Double criticalMax;
    @Excel(name="参考对象")
    private String criticalAge;
    @Excel(name="阴性阳性")
    private String criticalNegative;
    @Excel(name="手术级别")
    private String operationLevel;
    @Excel(name="药品高危级别")
    private String drugLevel;
    @Excel(name="药品通用名称")
    private String drugHighRisk;
    @Excel(name="注册剂型")
    private String drugForm;
    @Excel(name="实验室检查名称")
    private String lisGBName;
    @Excel(name="比较符号")
    private String symbol;
    @Excel(name="数值")
    private Double value;
    @Excel(name="标签")
    private String otherTipNodeType;
    @Excel(name="名称")
    private String otherTipNodeName;
    @Excel(name="化验提醒指标")
    private String otherLisTipName;
    @Excel(name="医保疾病名称")
    private String disName;
    @Excel(name="指标名称")
    private String itemName;
    @Excel(name="指标标签")
    private String itemNodeName;
    @Excel(name="年龄最大值")
    private Double ageMax;
    @Excel(name="年龄最小值")
    private Double ageMin;
    @Excel(name="年龄范围")
    private Integer ageRange;
    @Excel(name="检查结果")
    private String pacsDesc;
    @Excel(name="检查结论有")
    private String pacsDescHas;
    @Excel(name="检查结论无")
    private String pacsDescNotHas;
    @Excel(name="提示语")
    private String pacsTips;
    @Excel(name="性别")
    private String sexStr;
    @Excel(name="单位")
    private String unit;
    @Excel(name="输注类型")
    private String transfusionType;

    @Excel(name="生命体征及查体")
    private String physique;
    @Excel(name="合并疾病")
    private String disease;
    @Excel(name="化验结果")
    private String lisAll;
    @Excel(name="辅检结果描述")
    private String pacsAll;
    @Excel(name="年龄T")
    private String ageAll;
    @Excel(name="规则")
    private String ruleText;
    @Excel(name="药品类型")
    private String drugType;

    @Excel(name="状态")
    private String status;

    //=================================
    @Excel(name="辅助检查名称")
    private String pacsName;
    @Excel(name="正常规则")
    private String normalRule;
    @Excel(name="正则表达式")
    private String regex;

    //==================================
    @Excel(name="医保-ICD-10-疾病名称")
    private String diseasePush;
    @Excel(name="主症状")
    private String symptomMainPush;
    @Excel(name="次症状")
    private String symptomSecPush;
    @Excel(name="体征")
    private String vitalPush;
    @Excel(name="化验")
    private String lisPush;
    @Excel(name="辅检")
    private String pacsPush;
    @Excel(name="药品")
    private String drugPush;
    @Excel(name="手术")
    private String operationPush;
}
