package com.diagbot.vo;

import com.google.common.collect.Lists;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 诊断依据导入
 * </p>
 *
 * @author zhoutg
 * @since 2020-07-28
 */
@Data
public class ImportDiagnoseResVO implements Serializable {

    // 诊断id
    private Long diseaseId;
    // 诊断名称
    private String diseaseName;
    // 导入数据
    private List<ImportDiagnoseVO> importDiagnoseVOList = Lists.newArrayList();
}
