package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @author: zhoutg
 * @time: 2020/3/16 9:47
 */
@Getter
@Setter
public class KgQueryVO {

    @ApiModelProperty(value = "起始节点标签名")
    @NotBlank(message = "标签名不能为空")
    private String startLabel;
    @ApiModelProperty(value = "起始节点名")
    @NotBlank(message = "搜索内容不能为空")
    private String startName;
    @ApiModelProperty(value = "关系名")
    private String relName;
    @ApiModelProperty(value = "终结节点标签名")
    private String endLabel;
    @ApiModelProperty(value = "终结节点名")
    private String endName;
}
