package com.diagbot.vo;

import com.diagbot.dto.KlDiagnoseByIdDTO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2021-03-23 9:43
 */
@Setter
@Getter
public class KlDiagnoseGroupVO {
    /**
     * 基础规则组别（condition_type为1:基础条件；2:拟诊条件；3:确诊条件；4:警惕条件都有效）
     */
    private Integer baseGroup;
    /**
     * 满足的条件
     */
    private Integer fitNo;
    /**
     * 上一级的组别
     */
    private Integer conditionGroup;
    /**
     * 组别里的明细
     */
    List<KlDiagnoseDetailVO> klDiagnoseDetail;
}
