package com.diagbot.vo;

import lombok.Data;

/**
 * @description: 查询规则入参
 * @author: zhoutg
 * @time: 2020/7/29 9:57
 */
@Data
public class RuleVO {
    // 医院名称
    private String inputName;
    // 标准词
    private String libName;
    // 词性
    private Integer libType;
    // 类型名称
    private String libTypeName;
    // redis后缀,默认查开单项
    private String suffix = "1";
    // 时间
    private String dateValue;
    // 剂型
    private String form;
}
